Read the reviews of one seller
curl --request GET \
--url https://api.investorlift.com/marketplace/v1/buy/sellers/{seller_id}/reviews \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/marketplace/v1/buy/sellers/{seller_id}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/marketplace/v1/buy/sellers/{seller_id}/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"rating": 3,
"text": "<string>",
"month": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"verified_transaction": true,
"deal": {
"city": "<string>",
"state": "<string>"
},
"response": {
"text": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}
],
"meta": {
"request_id": "<string>",
"api_version": "<string>"
},
"page": {
"next_cursor": "<string>",
"limit": 123,
"returned": 123
}
}{
"type": "https://developers.investorlift.com/marketplace/errors#invalid_id",
"title": "Identifier malformed",
"status": 400,
"code": "invalid_id",
"detail": "<string>",
"recovery": "Send the public id with its type prefix, for example mdl_a1b2c3d4e5f6.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#unauthorized",
"title": "Not authenticated",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"recovery": "Send a current access token for this API, and start a new authorization when the token is expired.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#designation_required",
"title": "Designation missing",
"status": 403,
"code": "designation_required",
"detail": "<string>",
"recovery": "Finish the onboarding of the side you call, then repeat the call.",
"request_id": "<string>",
"designation": "seller"
}{
"type": "https://developers.investorlift.com/marketplace/errors#not_found",
"title": "Not found",
"status": 404,
"code": "not_found",
"detail": "<string>",
"recovery": "Check the id, and check that the account you call with owns the resource.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#method_not_allowed",
"title": "Method not allowed",
"status": 405,
"code": "method_not_allowed",
"detail": "<string>",
"recovery": "Use one of the methods the documentation lists for this path.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#validation_failed",
"title": "Body failed validation",
"status": 422,
"code": "validation_failed",
"detail": "<string>",
"recovery": "Correct each field the detail names, then repeat the call.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#cap_reached",
"title": "Cap reached",
"status": 429,
"code": "cap_reached",
"detail": "<string>",
"recovery": "Wait for the time in Retry-After, or raise your trust tier with the step in GET /me.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#origin_error",
"title": "Service unavailable",
"status": 503,
"code": "origin_error",
"detail": "<string>",
"recovery": "Repeat the call in a minute, and tell Investorlift support when the answer stays the same.",
"request_id": "<string>"
}Reference: buy
Read the reviews of one seller
Reads the reviews the Mogul deal page averages, 25 to a page, newest first.
GET
/
buy
/
sellers
/
{seller_id}
/
reviews
Read the reviews of one seller
curl --request GET \
--url https://api.investorlift.com/marketplace/v1/buy/sellers/{seller_id}/reviews \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/marketplace/v1/buy/sellers/{seller_id}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/marketplace/v1/buy/sellers/{seller_id}/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"rating": 3,
"text": "<string>",
"month": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"verified_transaction": true,
"deal": {
"city": "<string>",
"state": "<string>"
},
"response": {
"text": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}
],
"meta": {
"request_id": "<string>",
"api_version": "<string>"
},
"page": {
"next_cursor": "<string>",
"limit": 123,
"returned": 123
}
}{
"type": "https://developers.investorlift.com/marketplace/errors#invalid_id",
"title": "Identifier malformed",
"status": 400,
"code": "invalid_id",
"detail": "<string>",
"recovery": "Send the public id with its type prefix, for example mdl_a1b2c3d4e5f6.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#unauthorized",
"title": "Not authenticated",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"recovery": "Send a current access token for this API, and start a new authorization when the token is expired.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#designation_required",
"title": "Designation missing",
"status": 403,
"code": "designation_required",
"detail": "<string>",
"recovery": "Finish the onboarding of the side you call, then repeat the call.",
"request_id": "<string>",
"designation": "seller"
}{
"type": "https://developers.investorlift.com/marketplace/errors#not_found",
"title": "Not found",
"status": 404,
"code": "not_found",
"detail": "<string>",
"recovery": "Check the id, and check that the account you call with owns the resource.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#method_not_allowed",
"title": "Method not allowed",
"status": 405,
"code": "method_not_allowed",
"detail": "<string>",
"recovery": "Use one of the methods the documentation lists for this path.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#validation_failed",
"title": "Body failed validation",
"status": 422,
"code": "validation_failed",
"detail": "<string>",
"recovery": "Correct each field the detail names, then repeat the call.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#cap_reached",
"title": "Cap reached",
"status": 429,
"code": "cap_reached",
"detail": "<string>",
"recovery": "Wait for the time in Retry-After, or raise your trust tier with the step in GET /me.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#origin_error",
"title": "Service unavailable",
"status": 503,
"code": "origin_error",
"detail": "<string>",
"recovery": "Repeat the call in a minute, and tell Investorlift support when the answer stays the same.",
"request_id": "<string>"
}Authorizations
Authorization code with PKCE. The person grants the scopes on the Investorlift consent page and accepts the Marketplace API Terms there.
Path Parameters
The public id in the path, for example seller_id as mdl_a1b2c3d4e5f6.
Query Parameters
The next_cursor of the page before this one.
Was this page helpful?